Package: org.codehaus.groovy.ant

## [Java] Class VerifyClass

- org.codehaus.groovy.ant.VerifyClass

-     public class VerifyClass
      extends MatchingTask

  Verify Class files. This task can take the following arguments:

  - dir
  When this task executes, it will recursively scan the dir and look for class files to verify.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VerifyClass()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `execute()`
    `` | `public void` | `setDir(String dir)`
    `` | `public void` | `setVerbose(boolean v)`
    `` | `public void` | `visitEnd()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `add, addType, setCaseSensitive, addDate, setIncludes, setExcludes, setFollowSymlinks, setProject, getSelectors, addSelector, setDefaultexcludes, createExclude, createIncludesFile, createInclude, createPatternSet, createExcludesFile, addFilename, addPresent, setIncludesfile, addDepend, selectorElements, addDepth, selectorCount, addContainsRegexp, addSize, addMajority, addDifferent, addCustom, XsetItems, setExcludesfile, addNot, addNone, addContains, addOr, appendSelector, addModified, XsetIgnore, hasSelectors, addAnd, log, log, log, log, init, execute, setRuntimeConfigurableWrapper, getRuntimeConfigurableWrapper, setOwningTarget, getTaskType, getOwningTarget, setTaskType, setTaskName, maybeConfigure, getTaskName, perform, reconfigure, bindToOwner, clone, getLocation, getDescription, getProject, setDescription, setLocation, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public VerifyClass()

  - ### Method Detail

    - #### @Override
      public void execute()

    - #### public void setDir(String dir)

    - #### public void setVerbose(boolean v)

    - #### @Override
      public void visitEnd()